Skip to main content
GET
/
open
/
api
/
rpa
/
template
/
getMarkList
Rpa get template list for mark
curl --request GET \
  --url https://user.pmock.com/api/open/api/rpa/template/getMarkList
{
  "traceId": "<string>",
  "total": 123,
  "rows": [
    {
      "id": 123,
      "wyTemplateId": 123,
      "name": "<string>",
      "description": "<string>",
      "sdkVersion": "<string>",
      "screen": "<string>",
      "tag": "<string>",
      "iconUrl": "<string>",
      "code": "<string>",
      "params": {
        "key": "<string>"
      },
      "newParams": [
        {
          "name": "<string>",
          "type": "<string>",
          "required": "<string>",
          "defaultValue": "<string>",
          "fileInfo": {
            "status": "<string>",
            "fileUrl": "<string>",
            "name": "<string>",
            "size": "<string>"
          },
          "description": "<string>"
        }
      ]
    }
  ],
  "code": 123,
  "msg": "<string>"
}

Query Parameters

pageSize
integer

Number of records displayed per page The default is1,and the maximum number of items in a single query is:1

pageNum
integer

Current page count

tag
string

模板tag

nameOrCode
string

流程模板名称/code

Response

200 - application/json
traceId
string

Link ID

total
integer<int64>

Total number of records

rows
object[]

list data

code
integer

Message status code

msg
string

message content